from netgen.geom2d import unit_square
from ngsolve import *

mesh = Mesh(unit_square.GenerateMesh(maxh=0.3))

fes = H1(mesh, order=1)
u,v = fes.TnT()

a = BilinearForm(fes)
a += grad(u)*grad(v)*dx
a.Assemble()

(val,col,ind) = a.mat.CSR()

print (val.NumPy())
print (col.NumPy())
print (ind.NumPy())
gfu = GridFunction(fes)
gfu.Set(x*y)
print (gfu.vec.FV().NumPy())

